from ansible.module_utils.basic import AnsibleModule
try:
    from urllib.parse import urlparse
except ImportError:
    from urlparse import urlparse

def main():
    module = AnsibleModule(
        argument_spec=dict(
            proxy_url=dict(type='str', required=True),
        )
    )

    result = dict(
        changed=False,
        url=''
    )

    if not module.params['proxy_url']:
        module.exit_json(**result)

    parsed = urlparse(module.params['proxy_url'])
    url = parsed.scheme + '://' + parsed.hostname
    if parsed.port:
        url += ':' + str(parsed.port)

    result = dict(
        changed=True,
        url=url,
        username=parsed.username,
        password=parsed.password
    )
    module.exit_json(**result)

if __name__ == '__main__':
    main()
